Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sql.transaction.insert
Class FeatureRow

    java.lang.Object
      org.deegree.io.datastore.sql.transaction.insert.InsertRow
          org.deegree.io.datastore.sql.transaction.insert.FeatureRow

    public class FeatureRow

extends InsertRow

Represents a feature table row (columns + values) which has to be inserted as part of a `Insert` operation.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.io.datastore.sql.transaction.insert.InsertRow
`columnMap, table`

Constructor Summary
`FeatureRow(String table)` Creates a new `FeatureRow` instance for the given feature table.

Method Summary
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class org.deegree.io.datastore.sql.transaction.insert.InsertRow
`getColumn, getColumns, getInsertOrder, getPKColumn, getReferencedFields, getReferencingFields, getReferencingRows, getTable, linkColumn, setColumn, setGeometryColumn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureRow

    public FeatureRow(String table)

  Creates a new `FeatureRow` instance for the given feature table.

  Parameters:
    `table` -

Method Detail

### toString

    public String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `InsertRow`
  Returns:
    a string representation of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org